Update an agent
curl --request PATCH \
--url https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/agents/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent": {
"name": "Updated Agent",
"llm_model": "gpt-4.1-mini",
"model_type": "hosted",
"description": "A helpful assistant",
"instruction_prompt": "You are a helpful assistant",
"temperature": 0.7,
"max_token": 1000,
"max_thinking_token": 1024
}
}
'import requests
url = "https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/agents/{id}"
payload = { "agent": {
"name": "Updated Agent",
"llm_model": "gpt-4.1-mini",
"model_type": "hosted",
"description": "A helpful assistant",
"instruction_prompt": "You are a helpful assistant",
"temperature": 0.7,
"max_token": 1000,
"max_thinking_token": 1024
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
agent: {
name: 'Updated Agent',
llm_model: 'gpt-4.1-mini',
model_type: 'hosted',
description: 'A helpful assistant',
instruction_prompt: 'You are a helpful assistant',
temperature: 0.7,
max_token: 1000,
max_thinking_token: 1024
}
})
};
fetch('https://api.fetchhive.com/v1/public/workspaces/{workspace_id}/agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully updated an agent.",
"agent": {}
}{
"error": "Invalid access."
}{
"error": "Invalid access."
}{
"error": "Agent not found."
}Agents
Update an agent
Updates an existing agent in the requested workspace.
PATCH
/
v1
/
public
/
workspaces
/
{workspace_id}
/
agents
/
{id}
Update an agent
Authorizations
Workspace API key sent as Authorization: Bearer <api_key>.
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I

